Page MenuHomePhabricator

Add optional "contact user" link to Phabricator user profiles
Closed, ResolvedPublic

Description

When visiting https://phabricator.wikimedia.org/p/bd808/ currently, there's no obvious way to contact the user. In this specific case, there's a MediaWiki.org user page link, but many Phabricator user profiles won't have this MediaWiki.org link and even that path to contact is non-obvious (and dubious).

Phabricator user profiles should include an optional "contact" link or similar. This could go to MediaWiki's Special:EmailUser, it could be a mailto: link, it could be something else. GitHub exposes e-mail addresses on user profiles.

Possible solutions

  • Link to Special:EmailUser
  • Rename "MediaWiki Userpage" to "Contact" (requires two clicks)
  • Enable conpherence, which allows 1:1 private communication between users (also many:many; this part would need to be disabled). You can try it out in https://phab-01.wmflabs.org We haven't enabled Conpherence by default because of Wikimedia's default to public interpersonal communication. If the community thinks that enabling Conpherence is useful, we will happily enable it for all users. We agreed to enable it as an experiment for OPW round 9 participants (T834). @chasemp got a first good impression as well, suggesting already to enable it for all users. Quim thinks it is useful.

See Also:
T99035: "Send a message" should not be more prominent than user talk links

Event Timeline

MZMcBride updated the task description. (Show Details)
MZMcBride raised the priority of this task from to Needs Triage.
MZMcBride changed Security from none to None.
MZMcBride added subscribers: MZMcBride, valhallasw.

There is a report about private messages on this instance; the conclusion was to add the userpage link. (I'm not able to find the report with phabricator search and I can't use old-bugzilla search because it was never on bugzilla.)

Would renaming "MediaWiki Userpa" to "Contact" be enough?

Would renaming "MediaWiki Userpa" to "Contact" be enough?

I'm a little horrified that you also see that text truncation. I thought it was just due to my use of browser zoom... yeesh.

As to the question itself, I don't think that change would address this task.

It wouldn't solve cases such as https://phabricator.wikimedia.org/p/ori/ where the field reads "Unknown".

And a MediaWiki.org user page isn't really a contact page. It's a link to a page where you then click another link to reach a talk page. From that talk page, you add a new section (probably after you create an account and log in), and then you discover that nobody checks their MediaWiki.org talk page. Maybe at that point there's an e-mail sent to the user by MediaWiki notifying them of the talk page change and the person might see your message in their e-mail inbox, which they do check.

I think we can simplify this a bit. :-)

One option, having a customizable contact link on user profiles, would allow for people to link to Special:EmailUser/Example in addition to User:Example.

Or we could expose the primary e-mail address... but I doubt people want that.

Qgil triaged this task as Normal priority.Dec 11 2014, 8:56 AM
Qgil added subscribers: chasemp, Qgil.

We can rename this task as "Enable Conpherence for everybody". The feature is supported by Phabricator. Conpherence allows 1:1 private communication between users, and also many:many. You can try it out in https://phab-01.wmflabs.org

We haven't enabled Conpherence by default because of Wikimedia's default to public interpersonal communication. If the community thinks that enabling Conpherence is useful, we will happily enable it for all users. We agreed to enable it as an experiment for OPW round 9 participants (T834). @chasemp got a first good impression as well, suggesting already to enable it for all users. I personally think it is useful.

Qgil moved this task from To Triage to Need discussion on the Phabricator board.Dec 11 2014, 8:56 AM
Qgil renamed this task from Add optional "contact user" link to Phabricator user profiles to Enable Conpherence for all Phabricator users.Dec 12 2014, 9:39 AM
Qgil updated the task description. (Show Details)
Qgil removed projects: Design, Phabricator (Upstream).

We already had this discussion: someone please find the ticket.

I find a Special:EmailUser link more attractive (all the more so if it forces some users to link a mediawiki.org account, which they really should).

I'm still not sure how I feel about this task being repurposed, though Conpherence does indeed sound like it could solve the generic "lack of a means of contact" problem.

Assuming we set up a new private contact system, who will monitor this system for inappropriate or abusive behavior?

Qgil added a subscriber: Rfarrand.Dec 15 2014, 10:49 AM

Assuming we set up a new private contact system, who will monitor this system for inappropriate or abusive behavior?

What does "monitor" mean here? We can monitor Conpherence conversations basically just as much as we can monitor private email conversations. Meaning: we cannot; we won't.

We can react on complaints, just as we would in other Wikimedia channels. The tools we have at hand are the Phabricator etiquette, the Friendly Space Policy... anything else?

What's the thought here?

What does "monitor" mean here? We can monitor Conpherence conversations basically just as much as we can monitor private email conversations. Meaning: we cannot; we won't.

Email clearly happens outside our services, it's not a valid comparison. Wiki administrators have established practices to block the usage of Special:EmailUser. My suggestion is, once again, to reuse existing infrastructure and practices.

Nemo_bis renamed this task from Enable Conpherence for all Phabricator users to Add optional "contact user" link to Phabricator user profiles.Dec 21 2014, 4:41 PM
Nemo_bis updated the task description. (Show Details)
Nemo_bis updated the task description. (Show Details)
Qgil added a comment.Dec 22 2014, 8:55 AM

Maybe it's not a valid comparison, but we are not going to scan users' private communications in any case.

In order to construct a useful link like https://www.mediawiki.org/w/index.php?title=Special%3AEmailUser&target=Qgil-WMF, some factors must be in aligned:

  1. The recipient must have accepted the option to be contacted via email, both in Phabricator and in mediawiki.org (Preferences - "Enable email from other users")
  2. Both sender and recipient should have Wikimedia SUL accounts identified (or Wikitech accounts, if we decide to support that combination).
  3. The From user must be logged in mediawiki.org (or wikitech.w.o) when clicking, otherwise they will get an error message that will confuse many users (this could be solved with a clearer message).
Permission error

You do not have permission to send emails, for the following reason:

The action you have requested is limited to users in the group: Users.

I don't know how simple is to check in mediawiki.org whether the recipient is accepting emails or not, before showing the link in the recipient's Phabricator profile. Are there other situations where Special:EmailUser would not work even if we know the Wikimedia username of a user?

In any case, this looks like a Phabricator extension. Since the goal of such extension would be to enable private communication between users, I wonder why Conpherence (Phabricator's native solution to solve this problem) should not be used instead.

Qgil updated the task description. (Show Details)Dec 22 2014, 8:57 AM

Not being able to email people who disabled email on mediawiki.org sounds like a feature, rather than a bug. If linking Special:EmailUser is inconvenient, then the obvious solution is to only link the user page.

Qgil added a comment.Dec 29 2014, 12:23 PM

The "bug" is to offer a "Contact" link in Phabricator to users that will throw an ugly error message in some cases.

A link to the user page already exists.

If there is no interest in discussing Conpherence in this task, then a new task could be created. As said above, I think it is a feature useful in its own.

Aklapper lowered the priority of this task from Normal to Lowest.Dec 29 2014, 5:07 PM

Currently I'd prefer to advertise setting the "MediaWiki User" link on the Phabricator page and having users go to the user page to use the "Email this user" function.
I don't think we should work on providing a "Contact user" link in Phabricator as Conpherence already exists and could be activated at some point, see comments above.

Related: T541: Polish "MediaWiki Userpage" field in user profiles.

Conpherence now includes exactly this on the user profile if it is enabled. I'm not sure if we should enable it (one more medium to manage) but I would personally vote yes...

Qgil added a comment.Feb 19 2015, 2:39 PM

I would create a blocker of this task titled 'Enable Conpherence' and discuss the addition of this important feature to Wikimedia Phabricator. I just don't have the time right now to start such discussion, but I'm happy to start it in a few weeks if nobody steps in before.

Conpherence was enabled as a test for Outreach-Program-For-Women-9, and I think it has been useful (but I will ask interns and mentors). I think it would be very useful here, bringing here a % of the private communications that are already happening elsewhere and probably helping newcomers to establish their first contacts and build their confidence.

IMHO this should be closed "Invalid" or "Declined" for clarity.

Qgil added a comment.EditedMay 6 2015, 1:39 PM

Today there is a "Send Message" button in Phabricator profiles enabled by Conpherence, so the current situation of this task is closer to Resolved (it is not optional, though).

The discussion about Conpherence is happening at T91392.

Restricted Application added a subscriber: scfc. · View Herald TranscriptJun 16 2015, 12:52 PM
Qgil added a comment.Dec 29 2015, 12:45 PM

I think this task can be considered Resolved.

Restricted Application added a subscriber: Luke081515. · View Herald TranscriptDec 29 2015, 12:45 PM
Aklapper closed this task as Resolved.Jan 21 2016, 2:26 PM
Aklapper claimed this task.